package com.ho.test.perf.measure.main;

import com.ho.test.perf.measure.commons.dao.hibernate.IBusiness1;
import com.ho.test.perf.measure.commons.dao.hibernate.IBusiness2;
import com.ho.test.perf.measure.commons.jdbc.IJdbcUtils;
import com.ho.test.perf.measure.utils.ApplicationContextContainer;

public class PerfMeasureAnnotTest {
	
	public static void main(String[] args) {
		
		ApplicationContextContainer context = ApplicationContextContainer.getInstance();
		
		IJdbcUtils jdbcUtils = (IJdbcUtils) context.getBean("JdbcUtilsServiceImpl");
		IBusiness1 business1 = (IBusiness1) context.getBean("Business1DaoHibernateImpl");
		IBusiness2 business2 = (IBusiness2) context.getBean("Business2DaoHibernateImpl");

		{
			jdbcUtils.executeQuery("");
			//
			business1.delete();
			business1.save();
			business1.saveOrUpdate();
			business1.update();
			//
			business2.delete();
			business2.save();
			business2.saveOrUpdate();
			business2.update();
		}//end-for
		
	}
}